!
! mathtl --- Mathematical toolbox
! Christian Buth
! 29 Jan 2002
!


      module mathtl
      use fortrantl
      implicit none


!
! Parameters
!

      real(dblprec), parameter ::               &
                ! Mathematical constant Pi
     &          M_PI = acos(-1.0D0),            &
                ! Mathematical constant 2 * Pi
     &          M_2_PI = 2.0D0 * M_PI,          &
                ! Conversion from degree to radias
     &          degTorad = M_PI / 180.0D0,      &
     &          radTodeg = 1.0D0 / degtorad,    &
                ! Euler constant
     &          M_EULER = exp(1.0D0)
      end module mathtl
